liquidnet:
  system:
    updating:
      switch: false
  info:
    port: 9002
    context:
    name: liquidnet-service-kylin
  logfile:
    path: ./logs
    name: service-kylin
    config: classpath:logback-spring.xml
    file-max-size: 200MB
    pattern-file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    pattern-console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    pattern-rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
    level-root: info
  rabbitmq:
    connection-timeout: 3000
  mysql:
    database-name: test_ln_scene
  url-pay:
    pay: "http://testpay.zhengzai.tv/"
    check: "http://testpay.zhengzai.tv/order/verify"
    localUrl: "https://zuul.zhengzai.tv/kylin/order/syncOrder"

#以下为spring各环境个性配置
spring:
  rabbitmq:
    addresses: ${liquidnet.rabbitmq.host}
    port: ${liquidnet.rabbitmq.port}
    username: ${liquidnet.rabbitmq.username}
    password: ${liquidnet.rabbitmq.password}
  redis:
    database: 15
    port: ${liquidnet.redis.port}
    host: ${liquidnet.redis.host}
    password: ${liquidnet.redis.password}
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
    redisson:
      singleServerConfig:
        address: redis://${liquidnet.redis.host}:${liquidnet.redis.port}
        password: ${liquidnet.redis.password}
        clientName: null
        database: 7 #选择使用哪个数据库0~15
        idleConnectionTimeout: 10000
        connectTimeout: 10000
        timeout: 3000
        retryAttempts: 3
        retryInterval: 1500
        subscriptionsPerConnection: 5
        subscriptionConnectionMinimumIdleSize: 1
        subscriptionConnectionPoolSize: 50
        connectionMinimumIdleSize: 32
        connectionPoolSize: 64
        dnsMonitoringInterval: 5000
      threads: 16
      nettyThreads: 32
      codec:
        class: "org.redisson.codec.JsonJacksonCodec"
      transportMode: "NIO"
  data:
    mongodb:
      sslEnabled: false
      database: test_ln_scene
      trustStore:
      trustStorePassword:
